> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete a file and its associated data from storage.



## OpenAPI

````yaml openapi/files.json DELETE /v1/files/{file_id}
openapi: 3.0.3
info:
  title: Files API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}:
    delete:
      summary: Delete File
      description: Delete a file and its associated data from storage.
      parameters:
        - name: file_id
          in: path
          required: true
          description: Unique identifier for the file to delete.
          schema:
            type: string
      responses:
        '200':
          description: File deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: File ID
                  object:
                    type: string
                    description: The kind of object. "file" for this endpoint.
                  deleted:
                    type: boolean
                    description: Indicates the file was successfully deleted
        '401':
          description: Invalid API key
        '404':
          description: File not found
        '500':
          description: Internal server error
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````